@use "colors";
@use "typography";
@use "variables";

@mixin subtitle {
  font-size: 1.6rem;
  font-family: Graph;
  font-weight: bold;
  margin-top: 2.4rem;
  margin-bottom: 1.4rem;
}

.post-section {
  display: block !important;
  border: none !important;
  box-shadow: none !important;
  padding: 0 !important;

  .button {
    margin-top: 1rem;
    margin-bottom: 1.8rem;
  }

  h2,
  h3,
  h4,
  h5,
  h6 {
    font-family: Graph;
    font-weight: bold;
  }

  .next-post h2 {
    margin-top: 4rem;
    font-size: 2rem;
  }

}

.post {
  max-width: variables.$post-max-width;
  margin: 0 auto;

  a:hover {
    text-decoration: underline;
  }

  .date-author {
    font-size: 0.94rem;
    margin: 1rem 0;
  }

  .title {
    margin-top: 0rem;
    margin-bottom: -0.2rem;
  }

  .lead {
    font-size: 1.1rem;
    margin: 1.6rem 0;
  }

  .cover-image {
    position: relative;
    background-size: cover;
    margin-left: calc(-50vw + 50%);
    height: auto;
    width: 100vw;
    margin-bottom: 1.3rem;
  }

  .image-caption {
    color: colors.$content-gray;
    font-size: 0.94rem;
    margin-top: -0.9rem;
    margin-bottom: 2rem;
  }

  figcaption {
    color: colors.$content-gray;
    font-size: 0.94rem;
  }

  figure {
    margin: 1.5rem 0 1.5rem;
  }

  .markdown {
    @include typography.break-words;

    img {
      width: 100%;
    }
  }

  table {
    border-collapse: collapse;
  }

  table,
  th,
  td {
    border: 1px solid colors.$light-gray;
  }

  th {
    text-align: left;
    background-color: colors.$turquoise-light;
    padding: 0.6rem 0.3rem;
  }

  td {
    padding: 0.3rem;
  }

  th,
  td {
    @include typography.break-words;
  }

  h2,
  h3,
  h4,
  h5,
  h6 {
    font-family: Graph;
    font-weight: bold;
    margin-top: 1.6em;
    margin-bottom: 0.7em;

    strong {
      font-weight: bold;
    }
  }

  h2 {
    font-size: 2rem;
  }

  h3 {
    font-size: 1.6rem;
  }

  h4 {
    font-size: 1.3rem;
  }

  h5 {
    font-size: 1.05rem;
  }

  h6 {
    font-size: 0.85rem;
  }

  hr {
    border: none;
    background-color: colors.$content-black;
    height: 1px;
    margin-bottom: 1.2rem;
  }

  sup {
    font-size: 0.7rem;
    line-height: 0;
  }

  .references-container {

    .references,
    ol,
    ul {
      font-size: 0.94rem;
      list-style: none;
      counter-reset: reference-counter;
      padding: 0;
      margin-bottom: 1rem;

      li {
        text-indent: -3em;
        margin-left: 3em;
        counter-increment: reference-counter;
        margin-bottom: 0.5em;
        overflow-wrap: break-word;
        word-wrap: break-word;
      }

      li::marker {
        display: none;
      }

      li:before {
        content: counter(reference-counter) ". ";
        font-size: 0.6rem;
        vertical-align: baseline;
        margin-right: 0.3rem;
      }
    }
  }
}


@media screen and (max-width: variables.$post-max-width) {
  .post {
    .collapsible-text {
      width: 100vw;
      margin-left: calc(-50vw + 50%);
      box-sizing: border-box;

      .markdown {
        padding: 0 5%;
      }
    }
  }
}